# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\ci\containers\00003bndfo7\tmp\build\80754af9\combined_recipe, last modified Tue Mar  9 12:29:21 2021
# ------------------------------------------------

package:
  name: aws-sdk-cpp
  version: 1.8.157
source:
  patches:
    - 0001-fix-libdir-for-deps.patch
  sha256: d262f30f42712158970b3cd487e8d9868bdbf4eed0164e85fd1b721a98757677
  url: https://github.com/aws/aws-sdk-cpp/archive/1.8.157.tar.gz
build:
  number: '0'
  run_exports:
    - aws-sdk-cpp >=1.8.157,<1.8.158.0a0
  string: hd77b12b_0
requirements:
  build:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2021.1.19 haa95532_1
    - cmake 3.19.6 h9ad04ae_0
    - libuv 1.40.0 he774522_0
    - lz4-c 1.9.3 h2bbff1b_0
    - ninja 1.10.2 py39h6d14046_0
    - openssl 1.1.1j h2bbff1b_0
    - python 3.9.2 h6244533_0
    - sqlite 3.33.0 h2a8f88b_0
    - tzdata 2020f h52ac0ba_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.7.1 h21ff451_0
    - xz 5.2.5 h62dcd97_0
    - zlib 1.2.11 h62dcd97_4
    - zstd 1.4.5 h04227a9_0
  host:
    - aws-c-common 0.4.57 ha925a31_1
    - aws-c-event-stream 0.1.6 hd77b12b_5
    - aws-checksums 0.1.9 ha925a31_0
    - ca-certificates 2021.1.19 haa95532_1
    - krb5 1.18.2 hc04afaa_0
    - libcurl 7.71.1 h2a8f88b_1
    - libssh2 1.9.0 h7a1dbc1_1
    - openssl 1.1.1j h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - zlib 1.2.11 h62dcd97_4
  run:
    - aws-c-common >=0.4.57,<0.4.58.0a0
    - aws-c-event-stream >=0.1.6,<0.1.7.0a0
    - libcurl >=7.71.1,<8.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands: null
  files:
    - CMakeLists.txt
    - test.cpp
  requires:
    - cmake
    - ninja
    - vs2017_win-64
about:
  description: 'The AWS SDK for C++ provides a modern C++ (version C++ 11 or later)
    interface for Amazon Web Services (AWS).

    It is meant to be performant and fully functioning with low- and high-level SDKs,

    while minimizing dependencies and providing platform portability (Windows, OSX,
    Linux, and mobile).

    '
  dev_url: https://github.com/aws/aws-sdk-cpp
  doc_url: https://aws.amazon.com/documentation/sdk-for-cpp/
  home: https://github.com/aws/aws-sdk-cpp
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: C++ library that makes it easy to integrate C++ applications with AWS services
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ihnorton
    - jakebolewski
    - pitrou
    - xhochy
